<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Plugin installation and activation for WordPress themes
 */
if ( ! class_exists( 'Insight_Register_Plugins' ) ) {
	class Insight_Register_Plugins {

		public function __construct() {
			add_filter( 'insight_core_tgm_plugins', array( $this, 'register_required_plugins' ) );
		}

		public function register_required_plugins( $plugins ) {
			/*
			 * Array of plugin arrays. Required keys are name and slug.
			 * If the source is NOT from the .org repo, then source is also required.
			 */
			$new_plugins = array(
				array(
					'name'     => esc_html__( 'Insight Core', 'tm-moody' ),
					'slug'     => 'insight-core',
					'source'   => 'https://www.dropbox.com/s/wu2ppdzmhclh9af/insight-core-1.7.5.zip?dl=1',
					'version'  => '1.7.5',
					'required' => true,
				),
				array(
					'name'     => esc_html__( 'Revolution Slider', 'tm-moody' ),
					'slug'     => 'revslider',
					'source'   => 'https://www.dropbox.com/s/dlollc2rxnlh85q/revslider-6.3.1.zip?dl=1',
					'version'  => '6.3.1',
					'required' => true,
				),
				array(
					'name'     => esc_html__( 'WPBakery Page Builder', 'tm-moody' ),
					'slug'     => 'js_composer',
					'source'   => 'https://www.dropbox.com/s/jyz3wlogu9f2i43/js_composer-6.4.2.zip?dl=1',
					'version'  => '6.4.2',
					'required' => true,
				),
				array(
					'name'    => esc_html__( 'WPBakery Page Builder (Visual Composer) Clipboard', 'tm-moody' ),
					'slug'    => 'vc_clipboard',
					'source'  => 'https://www.dropbox.com/s/m0icyk8s8npef5p/vc_clipboard.zip?dl=1',
					'version' => '4.5.7',
				),
				array(
					'name' => esc_html__( 'Contact Form 7', 'tm-moody' ),
					'slug' => 'contact-form-7',
				),
				array(
					'name' => esc_html__( 'MailChimp for WordPress', 'tm-moody' ),
					'slug' => 'mailchimp-for-wp',
				),
				array(
					'name' => esc_html__( 'WooCommerce', 'tm-moody' ),
					'slug' => 'woocommerce',
				),
				array(
					'name' => esc_html__( 'WP-PostViews', 'tm-moody' ),
					'slug' => 'wp-postviews',
				),
				array(
					'name'    => esc_html__( 'Instagram Feed', 'tm-moody' ),
					'slug'    => 'elfsight-instagram-feed-cc',
					'source'  => 'https://www.dropbox.com/s/qirwa6skckzuea5/elfsight-instagram-feed-cc-4.0.1.zip?dl=1',
					'version' => '4.0.1',
				),
			);

			$plugins = array_merge( $plugins, $new_plugins );

			return $plugins;
		}

	}

	new Insight_Register_Plugins();
}
